# Uses of Class
org.jfree.chart3d.graphics3d.Object3D

Packages that use Object3D
Package
Description
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of Object3D in org.jfree.chart3d.graphics3d

Subclasses of Object3D in org.jfree.chart3d.graphics3d
Modifier and Type
Class
Description
`class`
`Dot3D`
A 3D object that is simply a dot (single vertex).
`class`
`LineObject3D`
A line between two points in 3D space.
Methods in org.jfree.chart3d.graphics3d that return Object3D
Modifier and Type
Method
Description
`static Object3D`
Object3D.`createBar(double xWidth, double zWidth, double x, double y, double z, double zero, Color barColor, Color baseColor, Color topColor, boolean inverted)`
Creates a bar with the specified dimensions and color.
`static Object3D`
Object3D.`createBox(double x, double xdim, double y, double ydim, double z, double zdim, Color color)`
Creates a box centered on `(x, y, z)` with the specified dimensions.
`static Object3D`
Object3D.`createCube(double size, double x, double y, double z, Color color)`
Creates a cube centered on `(x, y, z)` with the specified `size`.
`static Object3D`
Object3D.`createLabelObject(String label, Font font, Color fgColor, Color bgColor, double x, double y, double z, boolean reversed, boolean doubleSided)`
Creates a label object, which has a single transparent face in the Z-plane plus associated label attributes.
`static Object3D`
Object3D.`createOctahedron(double size, double xOffset, double yOffset, double zOffset, Color color)`
Creates an octahedron.
`static Object3D`
Object3D.`createPieSegment(double radius, double explodeRadius, double base, double height, double angle1, double angle2, double inc, Color color)`
Creates a pie segment with the specified attributes.
`static Object3D`
Object3D.`createSphere(double radius, int n, double x, double y, double z, Color extColor, Color intColor)`
Creates an approximation of a sphere.
`static Object3D`
Object3D.`createTetrahedron(double size, double xOffset, double yOffset, double zOffset, Color color)`
Creates a tetrahedron.
`static Object3D`
Object3D.`createYSheet(double size, double x, double y, double z, Color color, boolean invert)`
Creates a square flat surface in the x-z plane (constant y) with a single face.
`static Object3D`
Object3D.`createZSheet(double size, double x, double y, double z, Color color)`
Creates a square flat surface in the x-y plane (constant z).
`Object3D`
RenderingInfo.`fetchObjectAt(double x, double y)`
Fetches the object, if any, that is rendered at `(x, y)`.
`Object3D`
Face.`getOwner()`
Returns the object that this face belongs too (as passed to the constructor).
Methods in org.jfree.chart3d.graphics3d that return types with arguments of type Object3D
Modifier and Type
Method
Description
`static List<Object3D>`
Object3D.`createPieLabelMarkers(double radius, double explodeRadius, double base, double height, double angle1, double angle2)`
Returns two 3D objects (sheets in the y-plane) that can be used as alignment anchors for the labels of a pie segment.
`List<Object3D>`
World.`getObjects()`
Returns a newly created list containing all the objects in the world model.
Methods in org.jfree.chart3d.graphics3d with parameters of type Object3D
Modifier and Type
Method
Description
`void`
World.`add(String partition, Object3D object)`
Adds an object to a specific partition.
`void`
World.`add(Object3D object)`
Adds an object to the world in the default partition.
Method parameters in org.jfree.chart3d.graphics3d with type arguments of type Object3D
Modifier and Type
Method
Description
`void`
World.`addAll(Collection<Object3D> objects)`
Adds a collection of objects to the world (in the default partition).
Constructors in org.jfree.chart3d.graphics3d with parameters of type Object3D
Modifier
Constructor
Description
``
`DoubleSidedFace(Object3D owner, int[] vertices)`
Creates a new double-sided face.
``
`Face(Object3D owner, int[] vertices)`
Creates a new face with the specified vertices that is part of the 3D `owner` object.
``
`LabelFace(Object3D owner, int[] vertices, String label, Font font, Color textColor, Color backgroundColor)`
Creates a new instance.

## Uses of Object3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return types with arguments of type Object3D
Modifier and Type
Method
Description
`List<Object3D>`
PiePlot3D.`getLabelFaces(double xOffset, double yOffset, double zOffset)`
Returns a list of label faces for the plot.